Delete cases

Base URL
https://{kibana_url}
  • DELETE /api/cases
  • DELETE /s/{space_id}/api/cases
Auth

You must have read or all privileges and the delete sub-feature privilege for the Cases feature in the Management, Observability, or Security section of the Kibana feature privileges, depending on the owner of the cases you're deleting.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

ids string[] required

The cases that you want to removed. All non-ASCII characters must be URL encoded.

Example: ["d4e7abb0-b462-11ec-9a8d-698504725a43"]

Header parameters

kbn-xsrf string required

Cross-site request forgery protection

Responses

204

Indicates a successful call.

Authorization information is missing or invalid.

application/json
error string
message string
statusCode integer
Base URL
https://{kibana_url}